from typing import List

from pydantic import BaseModel

from app.models.common import SourceMetadata


class QueryRequest(BaseModel):
    question: str


class QueryResponse(BaseModel):
    extracted_questions: List[str]
    answer: str
    sources: List[SourceMetadata]
